org.h2gis.functions.spatial.predicates

## Class ST_DWithin

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.predicates.ST_DWithin

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_DWithin
    extends org.h2gis.api.DeterministicScalarFunction

ST_DWithin returns true if the geometries are within the specified distance of one another.

Author:
  Adam Gouge, Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_DWithin()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static Boolean` `isWithinDistance(com.vividsolutions.jts.geom.Geometry geomA, com.vividsolutions.jts.geom.Geometry geomB, Double distance)` Returns true if the geometries are within the specified distance of one another.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_DWithin

    public ST_DWithin()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### isWithinDistance

    public static Boolean isWithinDistance(com.vividsolutions.jts.geom.Geometry geomA,
                                           com.vividsolutions.jts.geom.Geometry geomB,
                                           Double distance)

Returns true if the geometries are within the specified distance of one another.

Parameters:
  `geomA` - Geometry A
  `geomB` - Geometry B
  `distance` - Distance
Returns:
  True if if the geometries are within the specified distance of one another